<?
if ( $this -> params['label'] )
{
  $out .= '<div class="form-group ';
      if ( $this -> params['inline'] )
        $out .= 'pl10 pr10';
    $out .= '">';
    $out .= '<label class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-lg-3 ';
      if ( $this -> params['inline'] )
        $out .= 'mb5 ';
      $out .= 'control-label">' . $this -> params['label'] . ':</label>';
    $out .= '<div class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-lg-9';
      $out .= '">';
}

      $out .= '<select ';
        
        if ( $this -> params['id'] )
          $out .= 'id="' . $this -> params['id'] . '" ';
        
        if ( $this -> params['class'] or $this -> params['label'] )
        {
          if ( $this -> params['label'] )
            $out .= 'class="' . $this -> params['class'] . ' form-control" ';
          else if ( $this -> params['class'] )
            $out .= 'class="' . $this -> params['class'] . '" ';
        }
        
        $out .= 'name="' . $this -> params['name'] . '" ';
        
        if ( $this -> params['style'] )
          $out .= 'style="' . $this -> params['style'] . '" ';
        
        if ( $this -> params['readonly'] )
          $out .= 'readonly="readonly" ';
        
        if ( is_array( $this -> params['params'] ) and count( $this -> params['params'] ) ) foreach ( $this -> params['params'] as $key => $val )
          $out .= $key . '="' . $val . '" ';
        
      $out .= '>';
      
      if ( $this -> params['empty'] )
        $out .= '<option value="">--- ' . mb_strtolower( $this -> params['label'], 'UTF-8' ) . ' ---</option>';
      
      if ( is_array( $this -> params['values'] ) ) foreach ( $this -> params['values'] as $key => $val )
      {
        $out .= '<option value="' . $key . '"'; if ( $key == $this -> params['value'] and $this -> params['value'] !== null  ) $out .= 'selected="selected"'; $out .='>' . $val . '</option>';
      }
      
      $out .= '</select>';
      
if ( $this -> params['label'] )
{
    $out .= '</div>';
  $out .= '</div>';
}

echo $out;